diameterc(1)

NAME
diameterc - diameterc [<options>] <file>

DESCRIPTION

The diameterc utility is used to transform diameter dictionary files into Erlang source. The resulting source implements the interface diameter requires to encode and decode the dictionary's messages and AVP's.

USAGE

    diameterc [<options>] <file>:
        Transforms a single dictionary file. Valid options are as follows.

        -o <dir>:
            Specifies the directory into which the generated source should be written. Defaults to the current working directory.

        -i <dir>:
            Specifies a directory to add to the code path. Use to point at beam files corresponding to dictionaries inherited by the one being compiled using @inherits or --inherits. Inheritance is a beam dependency, not an erl/hrl dependency.

            Multiple -i options can be specified.

        -E: Supresses erl generation.

        -H: Supresses hrl generation.

        --name <name>:
            Set @name in the dictionary file. Overrides any setting in the file itself.

        --prefix <prefix>:
            Set @prefix in the dictionary file. Overrides any setting in the file itself.

        --inherits <dict>:
            Append an @inherits to the dictionary file. Specifying '-' as the dictionary has the effect of clearing any previous inherits, effectively ignoring previous inherits.

            Multiple --inherits options can be specified.

EXIT STATUS

Returns 0 on success, non-zero on failure.

BUGS

The identification of errors in the source file is poor.

SEE ALSO

diameter_dict(4)